#ifndef _H_4FC6D29A3AF68C4F161862E751E9326B_SendGcodeCmd__H_
#define _H_4FC6D29A3AF68C4F161862E751E9326B_SendGcodeCmd__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "unique_identifier_msgs/msg/dds_opensplice/UUID_.h"
#include "builtin_interfaces/msg/dds_opensplice/Time_.h"


namespace grbl_msgs
{
    namespace action
    {
        namespace dds_
        {
            struct  SendGcodeCmd_Goal_
            {
                ::DDS::String_mgr command_;
            };

            typedef DDS_DCPSStruct_var<SendGcodeCmd_Goal_> SendGcodeCmd_Goal__var;
            typedef DDS_DCPSStruct_out < SendGcodeCmd_Goal_> SendGcodeCmd_Goal__out;

            struct  SendGcodeCmd_SendGoal_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::grbl_msgs::action::dds_::SendGcodeCmd_Goal_ goal_;
            };

            typedef DDS_DCPSStruct_var<SendGcodeCmd_SendGoal_Request_> SendGcodeCmd_SendGoal_Request__var;
            typedef DDS_DCPSStruct_out < SendGcodeCmd_SendGoal_Request_> SendGcodeCmd_SendGoal_Request__out;

            struct  SendGcodeCmd_SendGoal_Response_
            {
                ::DDS::Boolean accepted_;
                ::builtin_interfaces::msg::dds_::Time_ stamp_;
            };

            typedef DDS_DCPSStruct_var<SendGcodeCmd_SendGoal_Response_> SendGcodeCmd_SendGoal_Response__var;
            typedef SendGcodeCmd_SendGoal_Response_& SendGcodeCmd_SendGoal_Response__out;

            struct  Sample_SendGcodeCmd_SendGoal_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::grbl_msgs::action::dds_::SendGcodeCmd_SendGoal_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_SendGcodeCmd_SendGoal_Request_> Sample_SendGcodeCmd_SendGoal_Request__var;
            typedef DDS_DCPSStruct_out < Sample_SendGcodeCmd_SendGoal_Request_> Sample_SendGcodeCmd_SendGoal_Request__out;

            struct  Sample_SendGcodeCmd_SendGoal_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::grbl_msgs::action::dds_::SendGcodeCmd_SendGoal_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_SendGcodeCmd_SendGoal_Response_> Sample_SendGcodeCmd_SendGoal_Response__var;
            typedef Sample_SendGcodeCmd_SendGoal_Response_& Sample_SendGcodeCmd_SendGoal_Response__out;

            struct  SendGcodeCmd_Result_
            {
                ::DDS::Boolean success_;
            };

            typedef DDS_DCPSStruct_var<SendGcodeCmd_Result_> SendGcodeCmd_Result__var;
            typedef SendGcodeCmd_Result_& SendGcodeCmd_Result__out;

            struct  SendGcodeCmd_GetResult_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
            };

            typedef DDS_DCPSStruct_var<SendGcodeCmd_GetResult_Request_> SendGcodeCmd_GetResult_Request__var;
            typedef SendGcodeCmd_GetResult_Request_& SendGcodeCmd_GetResult_Request__out;

            struct  SendGcodeCmd_GetResult_Response_
            {
                ::DDS::Octet status_;
                ::grbl_msgs::action::dds_::SendGcodeCmd_Result_ result_;
            };

            typedef DDS_DCPSStruct_var<SendGcodeCmd_GetResult_Response_> SendGcodeCmd_GetResult_Response__var;
            typedef SendGcodeCmd_GetResult_Response_& SendGcodeCmd_GetResult_Response__out;

            struct  Sample_SendGcodeCmd_GetResult_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::grbl_msgs::action::dds_::SendGcodeCmd_GetResult_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_SendGcodeCmd_GetResult_Request_> Sample_SendGcodeCmd_GetResult_Request__var;
            typedef Sample_SendGcodeCmd_GetResult_Request_& Sample_SendGcodeCmd_GetResult_Request__out;

            struct  Sample_SendGcodeCmd_GetResult_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::grbl_msgs::action::dds_::SendGcodeCmd_GetResult_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_SendGcodeCmd_GetResult_Response_> Sample_SendGcodeCmd_GetResult_Response__var;
            typedef Sample_SendGcodeCmd_GetResult_Response_& Sample_SendGcodeCmd_GetResult_Response__out;

            struct  SendGcodeCmd_Feedback_
            {
                ::DDS::String_mgr status_;
            };

            typedef DDS_DCPSStruct_var<SendGcodeCmd_Feedback_> SendGcodeCmd_Feedback__var;
            typedef DDS_DCPSStruct_out < SendGcodeCmd_Feedback_> SendGcodeCmd_Feedback__out;

            struct  SendGcodeCmd_FeedbackMessage_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::grbl_msgs::action::dds_::SendGcodeCmd_Feedback_ feedback_;
            };

            typedef DDS_DCPSStruct_var<SendGcodeCmd_FeedbackMessage_> SendGcodeCmd_FeedbackMessage__var;
            typedef DDS_DCPSStruct_out < SendGcodeCmd_FeedbackMessage_> SendGcodeCmd_FeedbackMessage__out;

        }

    }

}

#endif /* _H_4FC6D29A3AF68C4F161862E751E9326B_SendGcodeCmd__H_ */
